Lua_ArtifactClothesAttrItem = class("Lua_ArtifactClothesAttrItem", Lua_ListCell);
function Lua_ArtifactClothesAttrItem:ctor(p)
	self:superCall("ctor", p, "RoleAttrItem_skin");
end

function Lua_ArtifactClothesAttrItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ArtifactClothesAttrItem:dispose()
	self:superCall("dispose");
end

function Lua_ArtifactClothesAttrItem:setData(data)
	self.attrIcon:setAltas("common_altas_2", data.icon);
	if data.attrType == 1 then
		self.attrName.text = LanUtil.formateStr(350007, data.name);
	elseif data.attrType == 2 then
		self.attrName.text = LanUtil.formateStr(350008, data.name);
	else
		self.attrName.text = data.name;
	end
	self.attrName:resetSize();
	self.attrValue.text = "+"..data.value;
	self.attrValue:setLocation(self.attrName.posX + self.attrName.width, 0, 0);
	self.attrValue:resetSize();

	local width = self.attrIcon.width + self.attrName.width + self.attrValue.width;
	LuaUtil.setObjPos(self.goObject, -width / 2, 0, 0);
end