Lua_DressUpAdditionWindow = class("Lua_DressUpAdditionWindow", Lua_Window)
function Lua_DressUpAdditionWindow:ctor()
	self:superCall("ctor")

	self.w = 254
	self.h = 136
	self.windowName = "Lua_DressUpAdditionWindow"
	self.showBlackMask = true
	self.blackAlpha = 0.1
	self.showWinBg = true
	self.winBgAtlas = "common_altas_1"
	self.winBgSprite = "xui_common_tips_001"
	self.winBgPosX = 135
	self.winBgPosY = -200
	self.isClickClose = true
end

function Lua_DressUpAdditionWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.attrList = Lua_DragList.new(self.content, 200, 80, Lua_AxisDefine.Vertical)
	self.attrList:setLocation(135, -195, 0)
	self.attrList:setListCell(Lua_DressUpAdditionItem, 250, 30, 1)
end

function Lua_DressUpAdditionWindow:dispose()
	if self.attrList then
		self.attrList:dispose()
		self.attrList = nil
	end
	self:superCall("dispose")
end

function Lua_DressUpAdditionWindow:showWin(param)
	self:superCall("showWin", param)
	self.attrList:setArrayData(param)
end




















Lua_DressUpAdditionItem = class("Lua_DressUpAdditionItem", Lua_ListCell)
function Lua_DressUpAdditionItem:ctor(p)
	self:superCall("ctor", p)
end

function Lua_DressUpAdditionItem:buildShowItem()
	self:superCall("buildShowItem")

	self.attrText = UICreate.createLabel(self.content, nil, -125, 0, 100, 31, 24)
	self.attrText.pivotValue = 3
	self.attrText.alignmentValue = 3
	self.attrText.horizontalOverflowValue = 1
	self.attrText.verticalOverflowValue = 1
	self.attrText.colorStr = Lua_ColorDefine.transColorStr("DEE0E9")
end

function Lua_DressUpAdditionItem:dispose()
	self.attrText = nil
	self:superCall("dispose")
end

function Lua_DressUpAdditionItem:setData(data)
	self.attrText.text = LanUtil.formateStr(301024, data.show_name, data.showValue)
end