Lua_GiftCodeWindow = class("Lua_GiftCodeWindow", Lua_Window)
function Lua_GiftCodeWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_GiftCodeWindow"
	self.skinName = "GiftCodeWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_GiftCodeWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.promptText:setLangValue(300011)

	self.codeInput.alignmentValue = 4
	self.codeInput:setDefaultLangValue(300012)
	self.codeInput:ActivateInputField()

	self.btnConfirm:addClickFuntion(self, self.onConfirmClick)
end

function Lua_GiftCodeWindow:dispose()
	self:superCall("dispose")
end

function Lua_GiftCodeWindow:onConfirmClick(go)
	local code = self.codeInput.text
	if utf8len(code) <= 0 then
		OperateAlert.showLangValue(300013)
		return
	end
	Lua_ProxyManager.getProxy("Lua_RoleProxy"):sGiftCode(code)
end