Lua_DressUpTipsWindow = class("Lua_DressUpTipsWindow", Lua_Window)
function Lua_DressUpTipsWindow:ctor()
	self:superCall("ctor")

	self.w = 322
	self.h = 113
	self.windowName = "Lua_DressUpTipsWindow"
	self.showBlackMask = true
	self.blackAlpha = 0.1
	self.showWinBg = true
	self.winBgAtlas = "common_altas_1"
	self.winBgSprite = "xui_common_tips_001"
	self.winBgPosX = 95
	self.winBgPosY = -208
	self.isClickClose = true
end

function Lua_DressUpTipsWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.tipsText = UICreate.createLabel(self.content, nil, -36, -173, 265, 31, 24)
	self.tipsText.pivotValue = 0
	self.tipsText.alignmentValue = 0
	self.tipsText.verticalOverflowValue = 1
	self.tipsText.colorStr = Lua_ColorDefine.transColorStr("DEE0E9")
	self.tipsText:setLangValue(301025)
	self.tipsText:resetSize()

	local width = self.tipsText.height - 63
	self.winBg:SetDimensions(322, 113 + width)
	self.tipsText:setLocation(-36, -173 + width / 2, 0)
end

function Lua_DressUpTipsWindow:dispose()
	self:superCall("dispose")
end