Lua_PersonalAvatarItem = class("Lua_PersonalAvatarItem", Lua_DisplayObject)
function Lua_PersonalAvatarItem:ctor(p)	
	self:superCall("ctor", p, "PersonalAvatarItem_skin")
end

function Lua_PersonalAvatarItem:buildShowItem()
	self:superCall("buildShowItem")
end

function Lua_PersonalAvatarItem:dispose()
	self:superCall("dispose")
end

function Lua_PersonalAvatarItem:setAvatar(avatarId)
	local vo = DataCenter.roleUtil:getDressUpVoById(avatarId)
	if vo == nil then
		if DataCenter.roleData.sex == 1 then
			self.avatarIcon:setAltas("role_avatar_1", "nanzhu")
		else
			self.avatarIcon:setAltas("role_avatar_1", "nvzhu")
		end
	else
		self.avatarIcon:setAltas(vo.atlas, vo.sprite)
	end
end

function Lua_PersonalAvatarItem:setRoleFrame(frameId)
	local vo = DataCenter.roleUtil:getDressUpVoById(frameId)
	if vo == nil or vo.default == 1 then
		self.avatarFrame:setEnable(false)
	else
		self.avatarFrame:setEnable(true)
		self.avatarFrame:setAltas(vo.atlas, vo.sprite)
	end
end

function Lua_PersonalAvatarItem:setRoleTitle(titleId)
	local vo = DataCenter.roleUtil:getDressUpVoById(titleId)
	if vo == nil then
		self.titleIcon:setAltas("role_atlas", "xui_grxx_window_10")
		self.titleIcon:SetDimensions(174, 38)
	else
		self.titleIcon:setAltas(vo.atlas, vo.sprite)
		self.titleIcon:SetDimensions(189, 56)
	end
end